/* Copyright Philips Research Labs, Redhill, UK. 2001
 *
 * Prototype Software
 *
 * Contact: Tim Everett (tim.everett@philips.com)
 *
 */
#if LINUX_VERSION_CODE < 0x020300
typedef struct wait_queue* wait_queue_head_t;
#define init_waitqueue_head(wq)    *(wq) = NULL;
#define DECLARE_WAITQUEUE(wait, current) struct wait_queue wait = { current, NULL }
#define set_current_state(state_value)                  \
        do { current->state = state_value; } while (0)
#endif
#if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,0))
#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,10))
#error "Linux versions unsupported, upgrade to at least 2.6.10"
#endif
#define IOTYPE void*
#else               
#define IOTYPE unsigned long
#ifndef CONFIG_DEVFS_FS
#error "Linux versions before 2.6 require DEVFS"
#endif
#endif /* 2.6 */


