/* Copyright Philips Research Labs, Redhill, UK. 2001
 *
 * Prototype Software
 *
 * Contact: Tim Everett (tim.everett@philips.com)
 *
 */
/* mmio.h
 * ============================================================================
 *        Copyright (C) Philips Research Laboratories, Redhill, UK, 1998
 * ============================================================================
 *
 * PRL Prototype Software - This software must be maintained in accordance
 * with PRL engineering practices for Prototype Software.
 *
 * PRL Contact: Richard Miller-Smith
 * Group:       Interactive Systems Group
 * Project:     Digital Video Recorder (DVR)
 * Date:        21st May 1998
 *
 * Module:      Linux Device Driver - TriMedia (IREF) board
 * Sub-Module:  TriMedia MMIO register defintions.
 *
 */

/***** Definitions *****/

/*
#define MMIO_TM(i,reg)		printk("deprecated macro MMIO_TM, file %s, line %d\n",__FILE__,__LINE__);
#define MMIO(i,reg)		printk("deprecated macro MMIO, file %s, line %d\n",__FILE__,__LINE__);
*/
/*
#define MMIO_TM(i,reg)         *((volatile unsigned int * volatile)((i)->mmio_log + (i)->mmio_offset + reg))
#define MMIO(i,reg)         *((volatile unsigned int * volatile)((i)->mmio_log + reg))
*/

#define MMIO_TMread(i,reg)	readl((IOTYPE)((unsigned long)((i)->mmio_log + (i)->mmio_offset + reg)))
#define MMIO_TMwrite(v,i,reg)	writel((v),(IOTYPE)((unsigned long)((i)->mmio_log + (i)->mmio_offset + reg)))

#define MMIOread(i,reg)		readl((IOTYPE)((unsigned long)((i)->mmio_log + reg)))
#define MMIOwrite(v,i,reg)	writel((v),(IOTYPE)((unsigned long)((i)->mmio_log + reg)))

/* MMIO Registers */

#define   DRAM_BASE            0x100000
#define   DRAM_LIMIT           0x100004
#define   DRAM_CACHEABLE_LIMIT 0x100008
#define	  MEM_EVENTS           0x10000c
#ifndef MMIO_BASE
#define   MMIO_BASE            0x100400
#endif

#define   MM_CONFIG            0x100100

#define   ICLEAR               0x100824
#define   IMASK                0x100828

#define   TIMER1_TMODULUS      0x100c00
#define   TIMER1_TVALUE        0x100c04
#define   TIMER1_CTL           0x100c08
#define   TIMER2_TMODULUS      0x100c20
#define   TIMER2_TVALUE        0x100c24
#define   TIMER2_CTL           0x100c28
#define   TIMER3_TMODULUS      0x100c40
#define   TIMER3_TVALUE        0x100c44
#define   TIMER3_CTL           0x100c48
#define   TIMER4_TMODULUS      0x100c60
#define   TIMER4_TVALUE        0x100c64
#define   TIMER4_CTL           0x100c68

#define   SYSTIMER_CTL         0x100c60

#define   BICTL                0x101000
#define   BINSTLOW	       0x101004
#define   BINSTHIGH	       0x101008
#define   BDCTL                0x101020
#define   BDATAALOW	       0x101030
#define   BDATAAHIGH	       0x101034

#define   AO_CTL               0x102004
#define   AO_FREQ              0x102010

#define   AI_CTL               0x101c04
#define   AI_FREQ              0x101c10

#define   VO_CTL               0x101804
#define   VO_CLOCK             0x101808

#define   VI_CTL               0x101404
#define   VI_CLOCK             0x101408

#define   SSI_CTL              0x102c00

#define   ICP_SR               0x102414

#define   IIC_CTL              0x10340c

#define   VLD_CMD              0x102800

#define   BIU_CTL              0x103008
#define     BIU_CTL_CR         0x0400
#define     BIU_CTL_SR         0x0800
#define     BIU_CTL_HE         0x0200
#define     BIU_CTL_SE         0x0001
#define     BIU_CTL_BE_SE      0x01000000
#define   INT_CTL              0x103038


#define   IPENDING             0x100820
#define   ICLEAR               0x100824
#define   IMASK                0x100828

#define   INTVEC0              0x100880
#define   INTVEC1              0x100884
#define   INTVEC2              0x100888
#define   INTVEC3              0x10088c
#define   INTVEC4              0x100890
#define   INTVEC5              0x100894
#define   INTVEC6              0x100898
#define   INTVEC7              0x10089c
#define   INTVEC8              0x1008a0
#define   INTVEC9              0x1008a4
#define   INTVEC10             0x1008a8
#define   INTVEC11             0x1008ac
#define   INTVEC12             0x1008b0
#define   INTVEC13             0x1008b4
#define   INTVEC14             0x1008b8
#define   INTVEC15             0x1008bc
#define   INTVEC16             0x1008c0
#define   INTVEC17             0x1008c4
#define   INTVEC18             0x1008c8
#define   INTVEC19             0x1008cc
#define   INTVEC20             0x1008d0
#define   INTVEC21             0x1008d4
#define   INTVEC22             0x1008d8
#define   INTVEC23             0x1008dc
#define   INTVEC24             0x1008e0
#define   INTVEC25             0x1008e4
#define   INTVEC26             0x1008e8
#define   INTVEC27             0x1008ec
#define   INTVEC28             0x1008f0
#define   INTVEC29             0x1008f4
#define   INTVEC30             0x1008f8
#define   INTVEC31             0x1008fc

/* PNX1500 additions */
#define	  PCI_INTA_CTL	       0x063050
